<?xml version='1.0' encoding='UTF-8'?>
<rougail version="0.10">
  <services>
    <service name="smtp" manage="False">
      <file file_type="variable" source="ca_MailRelay.crt">smtp_ca_file</file>
    </service>
  </services>
  <variables>
    <family name="smtp" description="Client SMTP">
      <variable name="smtp_relay_address" type="domainname" description="Nom de domaine du serveur SMTP" mandatory="True" supplier="SMTP"/>
      <variable name="smtp_relay_ip" type="ip" hidden="True"/>
      <variable name="smtp_relay_user" type="unix_user" description="Relay username" mandatory="True" hidden="True"/>
      <variable name="smtp_relay_password" type="secret" description="Relay password" mandatory="True" hidden="True" supplier="SMTP:password"/>
      <variable name="smtp_ca_file" type="filename" description="SMTP CA filename" hidden="True"/>
    </family>
  </variables>
  <constraints>
    <fill name="normalize_family">
      <param type="variable">domain_name_eth0</param>
      <target>smtp_relay_user</target>
    </fill>
    <fill name="get_password">
      <param name="server_name" type="variable">smtp_relay_address</param>
      <param name="username" type="variable">domain_name_eth0</param>
      <param name="description">local authentification</param>
      <param name="type">cleartext</param>
      <param name="hide" type="variable">hide_secret</param>
      <target>smtp_relay_password</target>
    </fill>
    <fill name="calc_value">
      <param type="variable">tls_ca_directory</param>
      <param>ca_MailRelay.crt</param>
      <param name="join">/</param>
      <target>smtp_ca_file</target>
    </fill>
    <fill name="get_ip">
      <param type="information">zones</param>
      <param type="variable">smtp_relay_address</param>
      <target>smtp_relay_ip</target>
    </fill>
  </constraints>
</rougail>
